---importar cidades do sistema

delete from cliente where codigo > 3;

set identity_insert BancoGerencial..Cliente on 
insert into BancoGerencial..Cliente
(Codigo,
Cpf,
Rg,
Nome,
Apelido,
Endereco,
Bairro, 
Cidade,
TipoCliente, -- normal
FisicaJuridica,
CEP,
UF,
NumeroEndereco,
Telefone,
Celular,
Email,
AcrescimoCRD,
LimiteCredito,
BloqueiaVendaCrediario,
Inativo,
Observacao,
Nascimento,
DiaVencimentoPadrao
)
select 
cli.CODIGO,
ltrim(rtrim(cli.CNPJ)),
ltrim(rtrim(cli.INSCR)),
ltrim(rtrim(cli.RAZAO)),
ltrim(rtrim(cli.RAZAO)),
ltrim(rtrim(cli.ENDERECO)),
ltrim(rtrim(cli.BAIRRO)),
ltrim(rtrim(cli.CIDADE)),
'NORMAL',
cli.TIPO,
replace(replace(cli.CEP, '.',''), '-', ''),
ltrim(rtrim(cli.ESTADO)),
cli.Numero,
ltrim(rtrim(cli.FONE1)),
ltrim(rtrim(cli.FONE2)),
rtrim(ltrim(substring(EMAIL,1,50))),
'N',
LIMITECREDITO,
BLOQ,
Inativar,
OBS,
DTNASC,
vencto
from mercado..Cliente as cli
where cli.CODIGO > 3
set identity_insert BancoGerencial..Cliente off




--ACERTO CLIENTE
----------------------oooobbbbservação ----cadastrar a cidade Guaíra antes
update Cliente set
CodTipoContribuinte = 1,
NomeTipoContribuinte = 'CONSUMIDOR FINAL',
CodCidade = 1,
NomeCidade = 'GUAIRA'


update Cliente set
ContribuinteICMS = 'NÃO CONTRIBUINTE' where FisicaJuridica = 'F'

update Cliente set
ContribuinteICMS = 'CONTRIBUINTE' where FisicaJuridica = 'J'

--update Cliente set Inativo = 'N';

update Cliente set NumeroEndereco = ltrim(rtrim(numeroEndereco));

--update Cliente set BloqueiaVendaCrediario = 'N';

update Cliente set UsuarioUltimaGravacao = 'MIGRACAO', DataHoraUltimaGravacao = GETDATE();

--update Cliente set LimiteCredito = 0


update Cliente set BloqueiaVendaCrediario = 'N' where BloqueiaVendaCrediario is null;
update Cliente set BloqueiaVendaCrediario = 'N' where BloqueiaVendaCrediario = '';

update Cliente set Inativo = 'N' where Inativo is null;
update Cliente set Inativo = 'N' where Inativo = '';